Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Class FmlKey

    java.lang.Object
      weblogic.wtc.jatmi.FmlKey

All Implemented Interfaces:
  Comparable

public final class FmlKey
extends Object
implements Comparable

This class represents the combination of FML field id and occurance.

See Also:
  `FML`, `mkfldclass`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`FmlKey(FmlKey toCopy)` Constructor.
`FmlKey(int fldid, int occurance)` Constructor.

Method Summary
`int` | `compareTo(Object obj)` orders two FmlKey objects
`boolean` | `equals(Object obj)` Compares two FmlKey objects
`int` | `get_fldid()` Returns the field id associated with this key
`int` | `get_occurance()` Returns the occurance number associated with this key
`void` | `set_occurance(int occurance)` sets the occurance number of this key
`String` | `toString()` Returns a string version of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### FmlKey

    public FmlKey(FmlKey toCopy)

  Constructor. Copies an existing FmlKey.

### FmlKey

    public FmlKey(int fldid,
                  int occurance)

  Constructor. Takes the fml field id and occurance number

Method Detail

### compareTo

    public int compareTo(Object obj)

  orders two FmlKey objects

  Parameters:
    `obj` - The FmlKey object to compare to this one
  Returns:
    -1 if this object comes before obj, 0 if they are equal and 1 if this object comes after obj

### equals

    public boolean equals(Object obj)

  Compares two FmlKey objects

  Parameters:
    `obj` - An object to compare to this object
  Returns:
    true if the objects are equal, false otherwise

### get_fldid

    public int get_fldid()

  Returns the field id associated with this key

  Returns:
    the field id associated with this key

### get_occurance

    public int get_occurance()

  Returns the occurance number associated with this key

  Returns:
    the occurance number associated with this key

### set_occurance

    public void set_occurance(int occurance)

  sets the occurance number of this key

  Parameters:
    `occurance` - The occurance number for this key

### toString

    public String toString()

  Returns a string version of this object. The string version consists of the fldid and occurance number.

  Returns:
    The string representation of a FmlKey object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD